## org.apache.lucene.benchmark.byTask.tasks
Class ResetInputsTask

    java.lang.Object
      org.apache.lucene.benchmark.byTask.tasks.PerfTask
          org.apache.lucene.benchmark.byTask.tasks.ResetInputsTask

All Implemented Interfaces:
  Cloneable

Direct Known Subclasses:
  ResetSystemSoftTask

    public class ResetInputsTask

extends PerfTask

Reset inputs so that the test run would behave, input wise, as if it just started. This affects e.g. the generation of docs and queries.

Field Summary

Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask
`NEW_LINE, params`

Constructor Summary
`ResetInputsTask(PerfRunData runData)`

Method Summary
`int` `doLogic()` Perform the task once (ignoring repetions specification) Return number of work items done by this task.
`protected boolean` `shouldNotRecordStats()` Tasks that should not record statistics can overide this.

Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask
`clone, getDepth, getName, getParams, getRunData, runAndMaybeStats, setDepth, setName, setParams, setup, shouldNeverLogAtStart, supportsParams, tearDown, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResetInputsTask

    public ResetInputsTask(PerfRunData runData)

Method Detail

### doLogic

    public int doLogic()
                throws Exception

  Description copied from class: `PerfTask`
  Perform the task once (ignoring repetions specification) Return number of work items done by this task. For indexing that can be number of docs added. For warming that can be number of scanned items, etc.

  Specified by:
    `doLogic` in class `PerfTask`
  Returns:
    number of work items done by this task.
  Throws:
    `Exception`

### shouldNotRecordStats

    protected boolean shouldNotRecordStats()

  Description copied from class: `PerfTask`
  Tasks that should not record statistics can overide this.

  Overrides:
    `shouldNotRecordStats` in class `PerfTask`
  Returns:
    true if this task should never record its statistics.

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.